varying vec2 texCoord;
uniform sampler2D baseMap;
uniform float fadeToColor;
uniform float textureUse;
uniform vec3 color;
void main()
{
vec4 col = vec4(color,1.0);
	if(textureUse < 0.5)
		col = texture2D(baseMap,vec2(texCoord.x,1.0-texCoord.y));
		gl_FragColor = vec4(col.rgb,col.a*(fadeToColor));
	
}